-- Copyright 2018 Rosy Song <rosysong@rosinson.com>
-- Licensed to the public under the Apache License 2.0.

local uci = require "luci.model.uci".cursor()
local ds = require "luci.dispatcher"

local targets = {['name'] = 'modbus-master'}
local server_root = luci.http.formvalue("server_root") or "/www/config/"
local buffer = io.popen("/bin/busybox ls -ahLlp %s" % server_root)



m = SimpleForm("Backup Configuration", translate("Click on the Configuration File Name to download"))
m.reset = false
m.submit = false


s = m:section(Table, targets)

mm_download = s:option(DummyValue, "", translate("Modbus Master"))
mm_download.rawhtml = true

function mm_download.cfgvalue(self, section)
	local v = "modbus-master"
	local hv = (v == "../") and "Parent Directory" or v

		-- File
		return translatef("<a href='%s%s'><input type='button' value='Download'></input> </a>",
			string.sub(server_root,5), hv, hv);
end

modbus_master = s:option(FileUpload, "modbus-master", translate("Upload Modbus Master config"), translate(""))
modbus_master.enable_remove = false
modbus_master.root_directory = "/etc/config/"
modbus_master.readonly = true

d2m_download = s:option(DummyValue, "", translate("DNP3 To Modbus"))
d2m_download.rawhtml = true

function d2m_download.cfgvalue(self, section)
	local v = "dnp3-to-modbus"
	local hv = (v == "../") and "Parent Directory" or v

		-- File
		return translatef("<a href='%s%s'><input type='button' value='Download'></input> </a>",
			string.sub(server_root,5), hv, hv);
end

dnp3_config = s:option(FileUpload, "dnp3-to-modbus", translate("Upload dnp3 config"), translate(""))
dnp3_config.enable_remove = false
dnp3_config.root_directory = "/etc/config/"




return m